Bug 121848 - upgrade problems when device names change
upgrade problems when device names change
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
: 126953 139919 (view as bug list)
Depends On:
Blocks: 133260
  Show dependency treegraph
 
Reported: 2004-04-28 13:04 EDT by Marshall Lewis
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-12 10:06:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
error received as install was finishing (790.20 KB, text/plain)
2004-04-28 14:06 EDT, Marshall Lewis
no flags Details

  None (edit)
Description Marshall Lewis 2004-04-28 13:04:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.6)
Gecko/20040206 Firefox/0.8

Description of problem:
Now that my sata drive is detected properly during the install, thank
you very much : ), I have discovered a new issue when trying to
upgrade from core 1 to core 2t3.  Simply put, the device name has
changed, in core 1 it was /dev/sda and in core 2 it's /dev/hde (this
is because of a change made in the kernel).  So.. when trying to
upgrade, it tells me that the swap /dev/sda5 is not initizlied and
reboots.  I fixed it by (after getting back into the installer)
chrooting to my root partition and editing my fstab to change /dev/sda
to /dev/hde.  I can forsee this being a real issue when fc2 is
released... at least for people with via sata controllers.   I'm not
sure of the best way to correct something like this though...  perhaps
give the user a list of partitions to choose from when the partition
as specified in fstab can't be found?  So in my case, because there
isn't a swap partition at /dev/sda5, it could then list all the swap
partitions it did find?  (or really.. in the case of swap, that could
be done automatically).  Maybe a better example would be the partition
I have /opt on....  so it looks for a ext3 drive on /dev/sda6, and if
it can't find one, it prompts listing all the ext3 partitions it could
find, and lets you select one.  

I don't know.. maybe an advanced function that let you confirm all the
mount points?  Forget the wizard aspect above, and just give them a
list of mount points and partitions and let them figure it out?  That
might be best.. in the case of my home computer I have 3 scsi drives
and the sata drive, and I could see where /dev/sda6 might actually map
to a partition, but not be the "right" partition.

I can also see the problem coming up when modules load in a different
order (if you have multiple scsi controllers and drives).

If I've completely confused you let me know.


Version-Release number of selected component (if applicable):
fc2t3 iso

How reproducible:
Always

Steps to Reproduce:
1. have fc1 installed on a sata drive on a via controller
2. try to upgrade to fc2

    

Actual Results:  failed, couldn't find swap drive, asked me to reboot

Expected Results:  it should let me upgrade : )

Additional info:
Comment 1 Marshall Lewis 2004-04-28 14:06:22 EDT
Created attachment 99742 [details]
error received as install was finishing
Comment 2 Marshall Lewis 2004-04-28 14:10:09 EDT
Sorry..here's a better description for that attachment : )

I received that error as anaconda was finishing up the upgrade. I
think it might be related to the device name change, but only because
I haven't seen anyone else post this error.  Anyway, I figure you can
decide it's useful to you or not. : )

The system seems to be running fine after the upgrade, so the error
couldn't have had much effect.
Comment 3 Jeremy Katz 2004-10-07 14:54:25 EDT
*** Bug 126953 has been marked as a duplicate of this bug. ***
Comment 4 Jeremy Katz 2004-11-18 14:39:14 EST
*** Bug 139919 has been marked as a duplicate of this bug. ***
Comment 5 John Thacker 2006-10-30 09:47:39 EST
[This is a mass update sent to many bugs that missed earlier such messages due
to having their version set to a test version.]

This bug was originally filed against a version of Fedora Core which is no
longer supported, even for security updates.  Many changes have occured since
then.  Please retest this bug against a still supported version.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  If
it still occurs on FC5 or FC6, please assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug will be closed after a few weeks if no information is given indicating
that the bug is still present in a supported release.
Comment 6 John Thacker 2007-01-12 10:06:27 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.